Get Logged In User

Get Logged In User
Get the currently logged in user.

Use this API instead:

  • /oidc/userinfo

Access Policy

Role Access
Platform operator ✔️
Organization Owner ✔️
Organization Member ✔️
Service Account (Whitelisted Client) ✔️
Request
URI
GET
https://vcfa-10-162-161-9.vcfd.broadcom.net/csp/gateway/am/api/loggedin/user
COPY
Query Parameters
boolean
expand
Optional
Constraints: default: false

expand


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns User of type(s) */*
{
    "id": "string",
    "firstName": "string",
    "lastName": "string",
    "username": "string",
    "acct": "string",
    "password": "string",
    "email": "string",
    "refLink": "string",
    "groups": [
        "string"
    ],
    "userProfile": {
        "defaultOrgId": "string",
        "isFederated": false,
        "linkedUserIdAccount": "string",
        "customerNumber": "string",
        "locale": "string",
        "language": "string"
    },
    "managerId": "string"
}

401

The user is not authorized to use the API.

Returns User of type(s) */*
{
    "id": "string",
    "firstName": "string",
    "lastName": "string",
    "username": "string",
    "acct": "string",
    "password": "string",
    "email": "string",
    "refLink": "string",
    "groups": [
        "string"
    ],
    "userProfile": {
        "defaultOrgId": "string",
        "isFederated": false,
        "linkedUserIdAccount": "string",
        "customerNumber": "string",
        "locale": "string",
        "language": "string"
    },
    "managerId": "string"
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/csp/gateway/am/api/loggedin/user